<ion-header>
    <ion-navbar color="ativoPurple">
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
      <ion-title><img src="./assets/images/Ativo.png" style="width: 20%"></ion-title>
    </ion-navbar>
    <ion-toolbar no-border-top color="ativoPurple">
      <ion-segment [(ngModel)]="segmentedSelected">
        <ion-segment-button value="results">
          RESULTADOS
        </ion-segment-button>
        <ion-segment-button value="photos">
          FOTOS
        </ion-segment-button>
      </ion-segment>
    </ion-toolbar>

</ion-header>

<ion-content padding>
    <div [ngSwitch]="segmentedSelected">
      <ion-list *ngSwitchCase="'results'">

      <notify #notifyPhoto [offline]="!networkService.online" (callback)="loadData()" [style.display]="segmentOptionSelected == 'meusResultados' ? 'none' : 'block'" ></notify>
      <div *ngIf="!notifyPhoto.offline && !notifyPhoto.type" class="photo-containers"></div>

      <notify #notifyEvent [offline]="!networkService.online" (callback)="loadData()" [style.display]="segmentOptionSelected == 'minhasFotos' ? 'none' : 'block'" ></notify>

      <ion-list *ngIf="!notifyEvent.offline && !notifyEvent.type">
          <ion-card *ngFor="let result of myResultsToShow"
                    (tap)="goToResultDetail(result)"
                    class="event-item"
                    no-padding>
              <ion-card-content no-padding>
                <ion-grid no-padding>

                  <ion-row center class="event-info"><!-- Start row event -->
                    <ion-col col-4 no-padding class="img-container">
                      <img [src]=result.urlImagem.banner>
                    </ion-col>

                    <ion-col col-6 text-wrap class="text-container">
                      <h2>{{result.evento}}</h2>
                      <p><ion-icon name="pin" color="flower"></ion-icon>{{ result.cidade }}, {{ result.estado }}</p>
                    </ion-col>

                    <ion-col col-2 no-padding class="date-container">
                      <ion-label text-center text-uppercase class="date-container-day">
                        {{result.dataEvento | date:'dd'}}
                      </ion-label>
                      <ion-label text-center text-uppercase class="date-container-month" color="flower">
                        {{result.dataEvento | date:'MMM'}}
                      </ion-label>
                    </ion-col>
                  </ion-row><!-- End row event -->

                  <ion-row class="time-container"><!-- Start row result -->
                    <ion-col col-4 text-center>
                       <ion-label no-lines class="time-container-title">Tempo final</ion-label>
                       <ion-label color="flower">{{result.tempoTotal}}</ion-label>
                    </ion-col>
                    <ion-col col-4 text-center>
                       <ion-label class="time-container-title"> Pace Médio</ion-label>
                       <ion-label color="flower">{{result.paceMedio}} min/km</ion-label>
                    </ion-col>
                    <ion-col col-4 text-center>
                       <ion-label class="time-container-title">Rank Total</ion-label>
                       <ion-label color="flower">{{ result.posicao || 'n/d'}}</ion-label>
                    </ion-col>
                  </ion-row><!-- End row result -->

                </ion-grid>
              </ion-card-content>
          </ion-card>
      </ion-list>



        <!-- list events -->
          <!-- <ion-list>
            <ion-grid>
              <ion-row>
                <ion-col col-12>
                  <span text-left>OUTUBRO</span>
                </ion-col>
              </ion-row>
            </ion-grid>
            <button (click)="openMyResults()">
              <div>
                <ion-grid>
                  <ion-row>
                    <ion-col col-4>
                        <img src="https://checkout.akamaized.net/upload/evento/24201/img_banner_evento.jpg">
                    </ion-col>
                    <ion-col col-6>
                        <h6 text-left>Night Run 2017 - Etapa Blue - São Paulo</h6>
                        <p text-left>Local da prova</p>
                    </ion-col>
                    <ion-col col-2 style="display: block;">
                        <span style="font-size: 30px;">14</span>
                        <span style="font-size: 17px;">OUT</span>
                    </ion-col>
                  </ion-row>
                  <ion-row >
                    <ion-col col-4 >
                      <span text-left>
                        TEMPO FINAL
                      </span>
                      <span text-center>
                        00:00:00
                      </span>
                    </ion-col>
                    <ion-col col-4 text-center>
                      <span text-left>
                        PACE MÉDIO
                      </span>
                      <span text-center>
                        00:00:00
                      </span>
                    </ion-col>
                    <ion-col col-4>
                      <span text-right>
                        RANKING TOTAL
                      </span>
                      <span >
                        972°
                      </span>
                    </ion-col>
                  </ion-row>
                </ion-grid>
               </div>
            </button>
          </ion-list> -->
          <!-- end list events -->
      </ion-list>



      <ion-list *ngSwitchCase="'kittens'">
          <notify #notifyPhoto [offline]="!networkService.online" (callback)="loadData()" [style.display]="segmentOptionSelected == 'meusResultados' ? 'none' : 'block'" ></notify>
          <div *ngIf="!notifyPhoto.offline && !notifyPhoto.type" class="photo-containers">
            <ion-card *ngFor="let imagens of myPhotosToShow">
    <!--           <button class="left" ion-button clear color="primary-color-dark">
                <ion-icon name="ios-arrow-forward"></ion-icon>
              </button>

              <button class="right" ion-button clear color="primary-color-dark">
                <ion-icon name="ios-arrow-back"></ion-icon>
              </button> -->
              <ion-slides pager>
                <ion-slide *ngFor="let foto of imagens.fotos">
                  <img [src]=foto.url>
                </ion-slide>

              </ion-slides>
              <ion-fab right top (tap)="goToBuyPhotoWeb(imagens)">
                <button ion-fab color="primary-text-color">
                  <ion-icon name="md-cart"></ion-icon>
                </button>
              </ion-fab>
              <ion-fab right top *ngIf="imagens.ourocard" (tap)="downloadFiles(imagens)">
                <button ion-fab color="primary-text-color">
                  <ion-icon name="md-download"></ion-icon>
                </button>
              </ion-fab>
              <ion-item>
                <ion-icon name="md-camera" item-left large color="primary-text-color"></ion-icon>
                <h2 style="white-space: initial; color: #003a66; font-weight: 500;">{{imagens.nomeEvento}}</h2>
                <p style="color: #003a66; opacity: .5;">{{imagens.fotos.length}} foto{{ imagens.fotos.length > 1 ? 's' : '' }} sua{{ imagens.fotos.length > 1 ? 's' : '' }}</p>
              </ion-item>
            </ion-card>
          </div>
          <!-- <ion-grid>
            <ion-row>
              <ion-col col-6>
                  <ion-thumbnail item-start>
                    <img src="https://dspncdn.com/a1/media/206x/17/ae/0d/17ae0dff14319522083aca1d08ce051b.jpg">
                  </ion-thumbnail>
              </ion-col>
              <ion-col col-6>
                  <ion-thumbnail item-start>
                      <img src="https://dspncdn.com/a1/media/206x/66/27/b6/6627b63435f7d5cc6bc77fc4833a5d64.jpg">
                    </ion-thumbnail>
              </ion-col>
            </ion-row>
          </ion-grid> -->
      </ion-list>
    </div>
</ion-content>
